Subject: Re: [PATCH] gitweb: [commit view] Do not suppress commitdiff link in root commit

From: Jakub Narebski <[email-masked]>
Date: Sat, 07 Oct 2006 12:00:29 +0200

Junio C Hamano wrote:

> Petr Baudis <[email-masked]> writes:
> 
>> There's no reason for that, the commitdiff view is meaningful for the
>> root commit as well and we link to it everywhere else.
> 
> It probably is not any more useful than the blob view but I
> agree there is no strong reason to supress it, as long as the
> commitdiff page is prepared to show the root commit (which I
> haven't checked -- if you have --root you should be Ok).

The commitdiff for root commit is much less useful, I think, and not having
commitdiff link serves as indicator of root (parentless) commit, important
in non-commit views. 

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git